/***********************
* Adobe Edge Composition Actions
*
* Edit this file with caution, being careful to preserve 
* function signatures and comments starting with 'Edge' to maintain the 
* ability to interact with these actions from within Adobe Edge
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // aliases for commonly used Edge classes

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
//get the id of the clicked item         // insert code to be run when the composition is fully loaded here

			var headline;
         var headlinetxt = sym.getSymbol("styleHead").$("headlineTxt").css("pointer-events","none");
         var stand;
         var standtxt = sym.getSymbol("styleHead").$("standTxt").css("pointer-events","none");
         var source;
         var sourcetxt = sym.getSymbol("styleBase").$("sourceTxt").css("pointer-events","none");
         var menuIcon0;
         var menuIcon0txt = sym.getSymbol("styleHead").getSymbol("menuBtn0").$("txt").css("pointer-events","none");
         var menuIcon1;
         var menuIcon1txt = sym.getSymbol("styleHead").getSymbol("menuBtn1").$("txt").css("pointer-events","none");
         var menuTxt0;
         var menuTxt0txt = sym.getSymbol("styleHead").$("menuTxt0").css("pointer-events","none");
         var menuTxt1;
         var menuTxt1txt = sym.getSymbol("styleHead").$("menuTxt1").css("pointer-events","none");
         var txt1
         var txt1txt = sym.getSymbol("casingMc").$("txt1").css("pointer-events","none");
         var txt2;
         var txt2txt = sym.getSymbol("casingMc").$("txt2").css("pointer-events","none");
         var txt3;
         var txt3txt = sym.getSymbol("casingMc").$("txt3").css("pointer-events","none");
         var txt4;
         var txt4txt = sym.getSymbol("point0Mc").$("txt4").css("pointer-events","none");
         var txt5;
         var txt5txt = sym.getSymbol("point1Mc").$("txt5").css("pointer-events","none");
         var txt6;
         var txt6txt = sym.getSymbol("point1Mc").$("txt6").css("pointer-events","none");
         var txt7;
         var txt7txt = sym.getSymbol("point1Mc").$("txt7").css("pointer-events","none");
         var txt8;
         var txt8txt = sym.getSymbol("point2Mc").$("txt8").css("pointer-events","none");
         var txt9;
         var txt9txt = sym.$("txt9").css("pointer-events","none");
         var txt10;
         var txt10txt = sym.getSymbol("point3Mc").$("txt10").css("pointer-events","none");
         var txt11;
         var txt11txt = sym.getSymbol("point3Mc").$("txt11").css("pointer-events","none");
         var txt12;
         var txt12txt = sym.$("txt12").css("pointer-events","none");
         var txt13;
         var txt13txt = sym.$("txt13").css("pointer-events","none");
         var txt14;
         var txt14txt = sym.$("txt14").css("pointer-events","none");
         var txt15;
         var txt15txt = sym.$("txt15").css("pointer-events","none");
         var txt16;
         var txt16txt = sym.$("txt16").css("pointer-events","none");
         var txt17;
         var txt17txt = sym.$("txt17").css("pointer-events","none");
         var txt18;
         var txt18txt = sym.$("txt18").css("pointer-events","none");
         var txt19;
         var txt19txt = sym.$("txt19").css("pointer-events","none");
         var txt20;
         var txt20txt = sym.getSymbol("galleryMc").$("txt20").css("pointer-events","none");
         var txt21;
         var txt21txt = sym.$("txt21").css("pointer-events","none");
         var txt22;
         var txt22txt = sym.$("txt22").css("pointer-events","none");
         var txt23;
         var txt23txt = sym.$("txt23").css("pointer-events","none");
         var txt24;
         var txt24txt = sym.$("txt24").css("pointer-events","none");
         var txt25;
         var txt25txt = sym.$("txt25").css("pointer-events","none");
         var txt26;
         var txt26txt = sym.$("txt26").css("pointer-events","none");
         var txt27;
         var txt27txt = sym.$("txt27").css("pointer-events","none");
         var txt28;
         var txt28txt = sym.$("txt28").css("pointer-events","none");
         var txt29;
         var txt29txt = sym.$("txt29").css("pointer-events","none");
         var txt30;
         var txt30txt = sym.$("txt30").css("pointer-events","none");
         var txt31;
         var txt31txt = sym.$("txt31").css("pointer-events","none");
         var txt32;
         var txt32txt = sym.$("txt32").css("pointer-events","none");
         var txt33;
         var txt33txt = sym.$("txt33").css("pointer-events","none");
         var txt34;
         var txt34txt = sym.$("txt34").css("pointer-events","none");
         var txt35;
         var txt35txt = sym.$("txt35").css("pointer-events","none");
         var txt36;
         var txt36txt = sym.$("txt36").css("pointer-events","none");
         var txt37;
         var txt37txt = sym.$("txt37").css("pointer-events","none");
         var txt38;
         var txt38txt = sym.$("txt38").css("pointer-events","none");
         var txt39;
         var txt39txt = sym.$("txt39").css("pointer-events","none");
         var txt40;
         var txt40txt = sym.$("txt40").css("pointer-events","none");
         var txt41;
         var txt41txt = sym.$("txt41").css("pointer-events","none");


           //AJAX retrieves data from xml source specified in url, maps xml variable to DOM object variable
           $.ajax({	
         	type: "GET",
         	url: "GN30583.xml",
         	dataType: "xml",
         	success: function(xml) {
					headline = $(xml).find('headline').text();
         		headlinetxt.html(headline);
         		stand = $(xml).find('stand').text();
         		standtxt.html(stand);
         		source = $(xml).find('source').text();
         		sourcetxt.html(source);
         		menuIcon0 = $(xml).find('menuIcon0').text();
         		menuIcon0txt.html(menuIcon0);
         		menuIcon1 = $(xml).find('menuIcon1').text();
         		menuIcon1txt.html(menuIcon1);  
         		menuTxt0 = $(xml).find('menuTxt0').text();
         		menuTxt0txt.html(menuTxt0);  
         		menuTxt1 = $(xml).find('menuTxt1').text();
         		menuTxt1txt.html(menuTxt1);  
         		txt1 = $(xml).find('txt1').text();
         		txt1txt.html(txt1);
         		txt2 = $(xml).find('txt2').text();
         		txt2txt.html(txt2);
         		txt3 = $(xml).find('txt3').text();
         		txt3txt.html(txt3);
         		txt4 = $(xml).find('txt4').text();
         		txt4txt.html(txt4)
         		txt5 = $(xml).find('txt5').text();
         		txt5txt.html(txt5);
         		txt6 = $(xml).find('txt6').text();
         		txt6txt.html(txt6);
         		txt7 = $(xml).find('txt7').text();
         		txt7txt.html(txt7);
         		txt8 = $(xml).find('txt8').text();
         		txt8txt.html(txt8);
         		txt9 = $(xml).find('txt9').text();
         		txt9txt.html(txt9);
         		txt10 = $(xml).find('txt10').text();
         		txt10txt.html(txt10);
         		txt11 = $(xml).find('txt11').text();
         		txt11txt.html(txt11);
         		txt12 = $(xml).find('txt12').text();
         		txt12txt.html(txt12);
         		txt13 = $(xml).find('txt13').text();
         		txt13txt.html(txt13);
         		txt14 = $(xml).find('txt14').text();
         		txt14txt.html(txt14);
         		txt15 = $(xml).find('txt15').text();
         		txt15txt.html(txt15);
         		txt16 = $(xml).find('txt16').text();
         		txt16txt.html(txt16);
         		txt17 = $(xml).find('txt17').text();
         		txt17txt.html(txt17);
         		txt18 = $(xml).find('txt18').text();
         		txt18txt.html(txt18);
         		txt19 = $(xml).find('txt19').text();
         		txt19txt.html(txt19);
         		txt20 = $(xml).find('txt20').text();
         		txt20txt.html(txt20);
         		txt21 = $(xml).find('txt21').text();
         		txt21txt.html(txt21);
         		txt22 = $(xml).find('txt22').text();
         		txt22txt.html(txt22);
         		txt23 = $(xml).find('txt23').text();
         		txt23txt.html(txt23);
         		txt24 = $(xml).find('txt24').text();
         		txt24txt.html(txt24);
         		txt25 = $(xml).find('txt25').text();
         		txt25txt.html(txt25);
         		txt26 = $(xml).find('txt26').text();
         		txt26txt.html(txt26);
         		txt27 = $(xml).find('txt27').text();
         		txt27txt.html(txt27);
         		txt28 = $(xml).find('txt28').text();
         		txt28txt.html(txt28);
         		txt29 = $(xml).find('txt29').text();
         		txt29txt.html(txt29);
         		txt30 = $(xml).find('txt30').text();
         		txt30txt.html(txt30);   
         		txt31 = $(xml).find('txt31').text();
         		txt31txt.html(txt31);   
         		txt32 = $(xml).find('txt32').text();
         		txt32txt.html(txt32);   
         		txt33 = $(xml).find('txt33').text();
         		txt33txt.html(txt33);    
         		txt34 = $(xml).find('txt34').text();
         		txt34txt.html(txt34);
         		txt35 = $(xml).find('txt35').text();
         		txt35txt.html(txt35);   
         		txt36 = $(xml).find('txt36').text();
         		txt36txt.html(txt36);   
         		txt37 = $(xml).find('txt37').text();
         		txt37txt.html(txt37);   
         		txt38 = $(xml).find('txt38').text();
         		txt38txt.html(txt38);   
         		txt39 = $(xml).find('txt39').text();
         		txt39txt.html(txt39);   
         		txt40 = $(xml).find('txt40').text();
         		txt40txt.html(txt40);   
         		txt41 = $(xml).find('txt41').text();
         		txt41txt.html(txt41);   

					var html = "<div style='background-color:rgba(255,180,0,0.8); padding-left:10px; padding-right:90px; padding-top:5px; padding-bottom:10px'>"+txt9+"</div>";
					sym.getSymbol("glassMc").$("txtBox").append(html); 
         		}
         	}); // END XML


	var btnShow = 0;
	Symbol.bindElementAction(compId, symbolName, "${_caseBtn}", "click", function(sym, e) {
		if (btnShow == 0) {
			sym.$("casingMc").fadeIn(500);
			sym.getSymbol("caseBtn").$("minus").fadeIn(0);
			sym.getSymbol("caseBtn").$("plus").fadeOut(0);
			btnShow = 1;
		}else{
		sym.$("casingMc").fadeOut(500);
			sym.getSymbol("caseBtn").$("minus").fadeOut(0);
			sym.getSymbol("caseBtn").$("plus").fadeIn(0);
			btnShow = 0;
		}
	});



// MENU BUTTONS --------------------------------------------	
         menuArray = []; //the array that will hold references to the buttons.

         for (var h = 0; h < 2; h++){
         	 var menuBtnSymbols = sym.getSymbol("styleHead").getSymbol("menuBtn" +h); // Create an instance element of a symbol as a child of the given parent element
         	 menuBtnSymbols.setVariable("menuId", h); //set the value of a Symbol variable
         	 menuArray.push(menuBtnSymbols); //push it into the array
         }

         $.each(menuArray, function( count, menuInTheArray ){ //a 'for each' loop through the newly populated array
         	 var menuBtnItem = $(menuInTheArray); //create jQuery reference to the item
         	 var menuBtnElement = menuInTheArray.getSymbolElement(); //create a jQuery reference to the DIV element inside the symbol
         	 //now you can bind interactivity to the menu items' DIVs
         	 menuBtnElement.bind ("click", {menuId:count}, menuBtnClick);
         	 menuBtnElement.bind ("mouseover", {menuId:count}, menuShow);
         	 menuBtnElement.bind ("mouseout", {menuId:count}, menuHide);
         	})

	function resetmenu(){
		for (var h=0; h<menuArray.length; h++){
			var resetmenu_arr = ["menuTxt0","menuTxt1"];
			$.each(resetmenu_arr, function(index, value) {
			sym.getSymbol("styleHead").$(value).fadeOut(0);
			});
         menuArray[h].$("btnClick").fadeOut(0);
         menuArray[h].$("btnOver").fadeOut(0);
		}
	}
	resetmenu();

	function menuBtnClick (e){
		resetmenu(); //set them all back to normal state
		var menuMenu_id = (e.data.menuId); //get the id of the clicked item
		sym.getSymbol("styleHead").getSymbol("menuBtn" + menuMenu_id).$("btnClick").fadeIn(0);
		sym.getSymbol("styleHead").$("menuTxt" + menuMenu_id).fadeIn(0);
		if (menuMenu_id==0) {
			sym.$("galleryMc").fadeOut(1000)
			sym.getSymbol("styleHead").$("headlineTxt").animate ({left:195}, 500, 'easeOutCubic');
         sym.getSymbol("styleHead").$("standTxt").fadeIn(1000);
		}
		if (menuMenu_id==1) {
			sym.$("galleryMc").fadeIn(1000)
			sym.getSymbol("styleHead").$("headlineTxt").animate ({left:5}, 500, 'easeOutCubic');
         sym.getSymbol("styleHead").$("standTxt").fadeOut(0);
         galClick();
		}
	}
	function menuShow (e){
         	var menuMenu_id = (e.data.menuId); //get the id of the over button
         	sym.$('handMc').hide();
				sym.getSymbol("styleHead").getSymbol("menuBtn" + menuMenu_id).$("btnOver").fadeIn(0);
				sym.getSymbol("styleHead").$("menuTxt" + menuMenu_id).fadeIn(0);
	}
	function menuHide (e){
         	var menuMenu_id = (e.data.menuId); //get the id of the out button
				sym.getSymbol("styleHead").getSymbol("menuBtn" + menuMenu_id).$("btnOver").fadeOut(0);
				sym.getSymbol("styleHead").$("menuTxt" + menuMenu_id).fadeOut(0);
	}

// MAKE MENU 0 VISIBLE
	sym.getSymbol("styleHead").getSymbol("menuBtn0").$("btnClick").fadeIn(0);


var scene = 0;
var played = 0;

// BUTTONS
	sym.$("nextBtn").click(function(){
		scene++;
		btnClick();
		//sym.$("btnOver").fadeOut(0);
	});
	sym.$("nextBtn").mouseover(function(){
		//sym.$("btnOver").fadeIn(200);
	});
	sym.$("nextBtn").mouseout(function(){
		//sym.getSymbol("btnsMc").getSymbol("btnNext").$("btnOver").fadeOut(200);
	});

function btnClick(){
	sym.getSymbol("nextBtn").$("next").fadeIn(500);
	sym.getSymbol("nextBtn").$("replay").fadeOut(500); 
	sym.$("nextBtn").fadeOut(500); 
	pointsOut();
	$.ajax({	
         	type: "GET",
         	url: "GN30583.xml",
         	dataType: "xml",
         	success: function(xml) {
         		txt12 = $(xml).find('txt' + (scene + 12)).text();
         		txt12txt.html(txt12);
         		}
         	}); // END XML

	if (scene == 1) { // SHELLING IN
		sym.$("pullOut").fadeIn(0);
		sym.$("pullOutCopy").animate ({opacity:0}, 1000);
		sym.$("shelling").fadeIn(0);
		sym.$("shelling").delay(1000).animate ({left:240, top:211}, 2000, 'easeOutCubic');
		sym.$("bang").delay(3500).fadeIn(400);
		sym.$("bang").delay(70).fadeOut(300);
		sym.$("fracked").delay(4000).fadeIn(300);
		sym.$("white").delay(4000).fadeIn(300);
		sym.$("point2Mc").delay(4300).fadeIn(500);
		sym.$("nextBtn").delay(4300).fadeIn(500); 
	}
	if (scene == 2) { // SHELLING OUT
		sym.$("shelling").animate ({left:-6, top:19}, 2000, 'easeInCubic');
		sym.$("nextBtn").delay(2000).fadeIn(500); 
	}
	if (scene == 3) { // LIQUID IN
		sym.$("frackLiquid").animate ({opacity:1, left:240, top:211}, 2000, 'easeOutCubic');
		sym.$("LiquidRed").delay(2000).fadeIn(0);
		sym.$("fluidBlueBlur").delay(800).fadeIn(0);
		sym.$("fluidBlueBlur").animate ({left:-500, top:-750, width:2500, height:2500}, 5000, 'easeOutCubic');
		sym.$("pressureMc").delay(1000).fadeIn(1000);
		sym.getSymbol("pressureMc").$("pressureHand").delay(1500).animate ({rotate:109}, 2000, 'easeOutCubic');
		sym.$("fracked2").delay(2000).fadeIn(0);
		sym.$("glassMc").delay(3000).fadeIn(500);
		sym.$("nextBtn").delay(3500).fadeIn(500);
	}
	if (scene == 4) { // LIQUID OUT
		sym.getSymbol("pressureMc").$("pressureHand").animate ({rotate:140}, 2000, 'easeOutCubic');
		sym.$("fracked").delay(500).fadeOut(500);
		sym.$("nextBtn").delay(2200).fadeIn(500);
	}
	if (scene == 5) {
		sym.$("nextBtn").delay(0).fadeIn(0);
	}
	if (scene == 6) {
		sym.getSymbol("pressureMc").$("pressureHand").animate ({rotate:0}, 500, 'easeOutCubic');
		sym.$("white").fadeOut(0);
		sym.$("red").fadeIn(0);
		sym.$("glassMc").fadeOut(500);
		sym.$("pressureMc").fadeOut(500);
		sym.$("fluidBlueBlur").animate ({left:226, top:189, width:316, height:284}, 2000, 'easeOutCubic');
		sym.$("frackLiquid").delay(1550).animate ({opacity:0, left:-6, top:19}, 2000, 'easeOutCubic');
		sym.$("nextBtn").delay(2200).fadeIn(500);
	}
	if (scene == 7) {
		fadeOutAll();
		sym.$("wellHead").fadeIn(500);
		sym.$("point3Mc").fadeIn(500);
		sym.$("nextBtn").delay(500).fadeIn(500);
		sym.getSymbol("nextBtn").$("next").fadeOut(500);
		sym.getSymbol("nextBtn").$("replay").fadeIn(500);
	}
	if (scene == 8) {
		sym.$("bgOver").fadeIn(500);
		sym.$("wellHead").fadeOut(500);
		sym.$("pullOutCopy").animate ({opacity:1}, 500);
		sym.$("pullOut").fadeIn(500);
		sym.$("point1Mc").fadeIn(500);
		sym.$("nextBtn").delay(500).fadeIn(500);
		scene = 0; 
	}
	}

function fadeOutAll(){
	sym.$("LiquidRed").fadeOut(500);
	sym.$("red").fadeOut(200);
	sym.$("fracked2").fadeOut(500);
	sym.$("pullOut").fadeOut(500);
	sym.$("pullOutCopy").animate ({opacity:0}, 500);
	sym.$("bgOver").fadeOut(500);
	sym.$("shelling").fadeOut(500);
	sym.$("fluidBlueBlur").fadeOut(500);
}

function pointsOut(){
	sym.$("point1Mc").fadeOut(0);
	sym.$("point2Mc").fadeOut(0);
	sym.$("point3Mc").fadeOut(0);
}
pointsOut();

// HIDE ELEMENTS
sym.getSymbol("nextBtn").$("replay").fadeOut(0);
sym.$("nextBtn").fadeOut(0);
sym.$("point0Mc").fadeOut(0);
sym.$("wellHead").fadeOut(0);
sym.$("LiquidRed").fadeOut(0);
sym.$("pressureMc").fadeOut(0);
sym.$("caseBtn").fadeOut(0);
sym.$("shelling").fadeOut(0);
sym.$("pullOut").fadeOut(0);
sym.$("bgOver").fadeOut(0);
sym.$("white").fadeOut(0);
sym.$("casingMc").fadeOut(0);
sym.$("fracked").fadeOut(0);
sym.$("fracked2").fadeOut(0);
sym.$("fluidBlueBlur").fadeOut(0);
sym.$("red").fadeOut(0);
sym.$("bang").fadeOut(0);
sym.$("redRing").fadeOut(0);
sym.$("pullOutCopy").animate ({opacity:0}, 0);
sym.$("frackLiquid").animate ({opacity:0}, 0);
sym.$("glassMc").fadeOut(0);
sym.$("galleryMc").fadeOut(0)

// BEGIN ANIMATION	
sym.$("caseBtn").delay(800).fadeIn(500);
sym.$("point0Mc").delay(6500).fadeIn(500);
sym.$("redRing").delay(10000).fadeIn(800);
sym.$("pullOutCopy").delay(10000).animate ({opacity:0.3}, 500, 'easeOutCubic');
sym.$("pullOutCopy").animate ({opacity:1, left:0, top:0, width:800, height:600}, 1000, 'easeOutCubic');
sym.$("bgOver").delay(12000).fadeIn(500);
sym.$("point1Mc").delay(12000).fadeIn(500);
sym.$("nextBtn").delay(12000).fadeIn(500); 

(function($){
 var _e = document.createElement("canvas").width
 $.fn.cssrotate = function(d) {  
    return this.css({
  '-moz-transform':'rotate('+d+'deg)',
  '-webkit-transform':'rotate('+d+'deg)',
  '-o-transform':'rotate('+d+'deg)',
  '-ms-transform':'rotate('+d+'deg)'
 }).prop("rotate", _e ? d : null)
 }; 
 var $_fx_step_default = $.fx.step._default;
 $.fx.step._default = function (fx) {
 if(fx.prop != "rotate")return $_fx_step_default(fx);
 if(typeof fx.elem.rotate == "undefined")fx.start = fx.elem.rotate = 0;
 $(fx.elem).cssrotate(fx.now)
 }; 
})(jQuery);




var gal = 1;

// BUTTONS
	sym.getSymbol("galleryMc").$("galNext").click(function(){
		gal++;
		galClick();
	});
	sym.getSymbol("galleryMc").$("galBack").click(function(){
		gal--;
		galClick();
	});

function galClick(){
// HIDE ELEMENTS USING ARRAY
	var menu_arr = ["image1","image2","image3","image4","image5","image6","image7","image8","image9","image10"];
		$.each(menu_arr, function(index, value) {
		sym.getSymbol("galleryMc").$(value).fadeOut(200);
		});
	sym.getSymbol("galleryMc").$("image" + gal).fadeIn(200)
	
	$.ajax({	
		type: "GET",
		url: "GN30583.xml",
		dataType: "xml",
		success: function(xml) {
		txt20 = $(xml).find('txt' + (gal + 19)).text();
      txt20txt.html(txt20);
		sym.getSymbol("galleryMc").$("slideCount").html(gal + "/10");
		}
	}); // END XML

	if (gal <= 1) {
		sym.getSymbol("galleryMc").$("galBack").fadeOut(50)
	}else{
		sym.getSymbol("galleryMc").$("galBack").fadeIn(50)
	}
	if (gal >= 10) {
		sym.getSymbol("galleryMc").$("galNext").fadeOut(50)
	}else{
		sym.getSymbol("galleryMc").$("galNext").fadeIn(50)
	}
	}
galClick();

         	});//Edge binding end	
		
		// VIDEO BTN 1 =========================================================
         	
			
         	
         		
         	
			
			
         	// VIDEO BTN 2 =========================================================
         	
         	
         	
         		
         	
         	


   })("stage");
   //Edge symbol end:'stage'

//=========================================================
   //Edge symbol: 'handMc'
   (function(symbolName) {

   })("handMc");
   //Edge symbol end:'handMc'

   //=========================================================
   
   //Edge symbol: 'styleMc'
   (function(symbolName) {   
   
   })("styleMc");
   //Edge symbol end:'styleMc'

   //=========================================================
   
   //Edge symbol: 'menuBtn'
   (function(symbolName) {   
   
   })("menuBtn");
   //Edge symbol end:'menuBtn'

   //=========================================================
   
   //Edge symbol: 'rollBtn'
   (function(symbolName) {   
   
   })("rollBtn");
   //Edge symbol end:'rollBtn'

   //=========================================================
   
   //Edge symbol: 'StyleBase'
   (function(symbolName) {   
   
   })("StyleBase");
   //Edge symbol end:'StyleBase'

   //=========================================================
   
   //Edge symbol: 'pressureMc'
   (function(symbolName) {   
   
   })("pressureMc");
   //Edge symbol end:'pressureMc'

   //=========================================================
   
   //Edge symbol: 'point2Mc'
   (function(symbolName) {   
   
   })("point2Mc");
   //Edge symbol end:'point2Mc'

   //=========================================================
   
   //Edge symbol: 'glassMc'
   (function(symbolName) {   
   
   })("glassMc");
   //Edge symbol end:'glassMc'

   //=========================================================
   
   //Edge symbol: 'point3Mc'
   (function(symbolName) {   
   
   })("point3Mc");
   //Edge symbol end:'point3Mc'

   //=========================================================
   
   //Edge symbol: 'casingMc'
   (function(symbolName) {   
   
   })("casingMc");
   //Edge symbol end:'casingMc'

   //=========================================================
   
   //Edge symbol: 'point0Mc'
   (function(symbolName) {   
   
   })("point0Mc");
   //Edge symbol end:'point0Mc'

   //=========================================================
   
   //Edge symbol: 'btnNext'
   (function(symbolName) {   
   
   })("btnNext");
   //Edge symbol end:'btnNext'

   //=========================================================
   
   //Edge symbol: 'point1Mc'
   (function(symbolName) {   
   
   })("point1Mc");
   //Edge symbol end:'point1Mc'

   //=========================================================
   
   //Edge symbol: 'galleryMc'
   (function(symbolName) {   
   
   })("galleryMc");
   //Edge symbol end:'galleryMc'

   //=========================================================
   
   //Edge symbol: 'btnNext_1'
   (function(symbolName) {   
   
      })("btnNext_1");
   //Edge symbol end:'btnNext_1'

})(jQuery, AdobeEdge, "GraphicNews30583");